#!/bin/sh
# Oxygen Startup script
# (c) 2006 Syncro Soft Ltd.
echo Script file for generating XSL Stylesheet documentation
echo using oXygen XML Editor stylesheet documentation generator.

oldpwd=`pwd`

# Resolve the location of the oxygen installation.
# This includes resolving any symlinks.
PRG=$0
cd "`dirname "$PRG"`"
PRG=`basename "$PRG"`

while [ -L "$PRG" ]
do
	PRG="`readlink "$PRG"`"
	cd "`dirname "$PRG"`"
	PRG="`basename "$PRG"`"
done

OXYGEN_HOME=`dirname "$PRG"`

# Absolutize dir
cd "${OXYGEN_HOME}"; OXYGEN_HOME=`pwd`
cd "${oldpwd}"; unset oldpwd

# Classpath
CP=$OXYGEN_HOME:$OXYGEN_HOME/classes:$OXYGEN_HOME/lib:$OXYGEN_HOME/lib/oxygen.jar:$OXYGEN_HOME/lib/oxygenDeveloper.jar:$OXYGEN_HOME/lib/xercesImpl.jar:$OXYGEN_HOME/lib/saxon9ee.jar:$OXYGEN_HOME/lib/log4j.jar:$OXYGEN_HOME/lib/resolver.jar:$OXYGEN_HOME/lib/commons-httpclient-3.1.jar:$OXYGEN_HOME/lib/commons-codec-1.3.jar:$OXYGEN_HOME/lib/commons-logging-1.0.4.jar

# Generates documentation.
java -cp "$CP" -Djava.awt.headless=true ro.sync.xsl.documentation.XSLStylesheetDocumentationGenerator "$@"
 
RETCODE=$?
if [ "$RETCODE" -ne "0" ]; then
echo "Documentation generation did not succeed, return code "$RETCODE
exit 1
fi